module  bit_sync #(
  parameter DW    = 1 ,
  parameter STAGE = 2 
)
(
input           clk     ,
input           rst_n   ,
input  [DW-1:0] din     ,
output [DW-1:0] dout 

);

reg [DW*STAGE-1:0] din_delay;
always @(posedge clk or negedge rst_n)
begin
  if(!rst_n)
     din_delay <=  {(DW*STAGE){1'b0}};
  else
     din_delay <=  {din_delay[((STAGE-1)*DW-1):0],din};   
end

assign dout =  din_delay[STAGE*DW-1:(STAGE-1)*DW] ;

endmodule


