`timescale 1ns / 1ps
module tb_bus_sync();

reg          src_clk   ;
reg          src_rst_n ;
reg [8-1:0]  src_bus   ;
reg          dst_clk   ;
reg          dst_rst_n ;
wire [8-1:0] dst_bus   ;

//----------clk rst_n----------------
always #20  src_clk=~src_clk;
always #5   dst_clk=~dst_clk;
initial begin
      src_clk  =0;
	      dst_clk  =0;
	  src_rst_n=0;
	  	  dst_rst_n=0;
	  #100;
	  src_rst_n=1;
	  	  dst_rst_n=1;
end
		
//-------inst----------------------------------
bus_sync   #(
    .DW (8)
)
bus_sync_u0(
.src_clk    (src_clk  ) ,
.src_rst_n  (src_rst_n) ,
.src_bus    (src_bus  ) ,
.dst_clk    (dst_clk  ) ,
.dst_rst_n  (dst_rst_n) ,
.dst_bus    (dst_bus  ) 

);

//-------data_gen----------------------------------
always @(posedge src_clk or negedge src_rst_n)
begin
  if(!src_rst_n)
     src_bus <=  8'b0;
  else 
     src_bus <=  src_bus + 1'b1;
end

endmodule
